Skip to content

GDPR Art. 18 — Right to restriction of processing

PUT
/api/v1/export/restrict
curl --request PUT \
--url https://api.ultimateteam.ai/api/v1/export/restrict \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "reason": "example", "restriction_type": "processing" }'

Marks the authenticated tenant’s data as restricted for the specified processing type. Restriction flags are stored in tenant settings and enforced by all downstream agents.

Media typeapplication/json
RestrictRequest

Request body for PUT /export/restrict (GDPR Art. 18).

Attributes: restriction_type: Category of processing to restrict. reason: Human-readable justification for the restriction.

object
reason
required
Reason

Reason for requesting the restriction

string
restriction_type
required
Restriction Type

Type of processing to restrict: ‘processing’, ‘marketing’, or ‘profiling’

string
Allowed values: processing marketing profiling

Successful Response

Media typeapplication/json
RestrictResponse

Response body for PUT /export/restrict (GDPR Art. 18).

Attributes: request_id: Unique identifier for this restriction request (audit trail). restriction_type: The category of processing now restricted. status: ‘accepted’. message: Human-readable description.

object
message
required
Message
string
request_id
required
Request Id
string format: uuid
restriction_type
required
Restriction Type
string
status
required
Status
string
Examplegenerated
{
"message": "example",
"request_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"restriction_type": "example",
"status": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}